=== debian/changelog ===
idm-console-framework (1.1.7-1) unstable; urgency=low

  * New upstream release.
  * control: Wrap *depends.
  * control, rules: Build with openjdk.
  * control, compat: Bump compat, debhelper build-dep.
  * links: Fix the link versions.
  * control: Fix the description.
  * TODO: Delete, obsolete.
  * control: Drop jre dependency per current java policy.
  * README.Source: Drop, obsolete.
  * control: Change the maintainer address.
  * control: Add VCS headers.
  * copyright: Use DEP5 format.
  * Silence lintian warnings.
  * Add libjss-java and libldap-java to Depends.
  * Use dh.
  * Bump Standards-Version to 3.9.3, no changes.
  * watch: Fix the url.

 -- Timo Aaltonen <tjaalton@ubuntu.com>  Thu, 28 Jun 2012 10:52:33 +0300

idm-console-framework (1.1.5-1) unstable; urgency=low

  * New upstream

 -- Michele Baldessari <michele@pupazzo.org>  Sun, 05 Sep 2010 00:21:01 +0200

idm-console-framework (1.1.3-2) unstable; urgency=low

  * Bump policy to 3.9.1
  * Use 3.0 quilt source format

 -- Michele Baldessari <michele@pupazzo.org>  Sun, 05 Sep 2010 00:03:08 +0200

idm-console-framework (1.1.3-1) unstable; urgency=low

  * New upstream
  * Fix section: java
  * Add README.source

 -- Michele Baldessari <michele@pupazzo.org>  Mon, 25 Jan 2010 22:27:41 +0100

idm-console-framework (1.1.2-1) unstable; urgency=low

  * New upstream
  * Bump policy to 3.8.3
  * Add ${misc:Depends}

 -- Michele Baldessari <michele@pupazzo.org>  Mon, 25 Jan 2010 22:22:09 +0100

idm-console-framework (1.1.1-1) unstable; urgency=low

  * Initial package version.  Closes: #659098.

 -- Michele Baldessari <michele@pupazzo.org>  Wed, 09 Apr 2008 16:09:59 +0200
