=== debian/watch ===
version=3
http://directory.fedoraproject.org/wiki/Source .*/idm-console-framework-(.*).tar.bz2
