=== debian/changelog ===
idm-console-framework (1.1.14-1) unstable; urgency=medium

  * New upstream release.

 -- Timo Aaltonen <tjaalton@debian.org>  Fri, 03 Jul 2015 08:32:02 +0300

idm-console-framework (1.1.9-1) unstable; urgency=medium

  * New upstream release.
    - add TLS1.1/1.2 support
  * .links: Remove, as versioned jars are not created anymore.

 -- Timo Aaltonen <tjaalton@debian.org>  Tue, 10 Mar 2015 10:52:29 +0200

idm-console-framework (1.1.7-2) unstable; urgency=low

  * watch: Add a comment about the upstream git tree.
  * watch: Fix upstream link.
  * copyright: Fix formatting
  * compat, control: Bump to debhelper 9.
  * control: Update my email.
  * control, .classpath: Add javahelper to build-depends, add
    a classpath file.
  * control: Bump policy to 3.9.6, no changes.
  * rules: Build using javac target 1.5. (LP:#1049774)

 -- Timo Aaltonen <tjaalton@debian.org>  Sat, 25 Oct 2014 11:39:53 +0300
