=== debian/watch ===
#git=git://git.fedorahosted.org/idm-console-framework.git
version=3
http://www.port389.org/binaries/idm-console-framework-(.*).tar.bz2
