=== debian/changelog ===
idm-console-framework (1.2.0-1) unstable; urgency=medium

  * New upstream release.
  * control: Update maintainer address. (Closes: #899881)
  * control: Drop Michele from uploaders.
  * control: Update vcs urls.
  * watch: Updated.
  * control: Bump depends on libjss-java and libldap-java.

 -- Timo Aaltonen <tjaalton@debian.org>  Thu, 16 Aug 2018 09:12:23 +0300
