=== debian/control ===
Source: idm-console-framework
Section: java
Maintainer: Debian FreeIPA Team <pkg-freeipa-devel@alioth-lists.debian.net>
Uploaders: Timo Aaltonen <tjaalton@debian.org>
Priority: optional
Build-Depends: debhelper (>= 9),
 ant,
 javahelper,
 libjss-java (>= 4.5.0),
 libldap-java (>= 4.20.0),
 quilt,
 default-jdk,
Standards-Version: 3.9.6
Vcs-Git: https://salsa.debian.org/freeipa-team/idm-console-framework.git
Vcs-Browser: https://salsa.debian.org/freeipa-team/idm-console-framework
Homepage: http://directory.fedoraproject.org

Package: libidm-console-framework-java
Architecture: all
Depends: ${misc:Depends},
 libjss-java (>= 4.5.0),
 libldap-java (>= 4.20.0),
Description: IDM Console Framework for the 389 Directory Server Console
 A Java Management Console framework, used for 389 Directory Server remote
 management.
