## idm-console-framework 2.0.0

=== .copr/Makefile ===
srpm:
	dnf install -y git
	./build.sh --with-timestamp --with-commit-id srpm
	if [[ "${outdir}" != "" ]]; then \
	    mv ${HOME}/build/idm-console-framework/SRPMS/* ${outdir}; \
	fi
