=== debian/changelog ===
idm-console-framework (2.0.0-1) unstable; urgency=medium

  * New upstream release.
  * control: Migrate to debhelper-compat, bump to 13.
  * control: Bump libjss-java, libldap-java depends.
  * control: Bump policy to 4.6.0.
  * rules: Drop building for old java version.
  * Drop obsolete lintian-overrides.
  * classpath: Updated for new jss.

 -- Timo Aaltonen <tjaalton@debian.org>  Tue, 19 Oct 2021 12:45:30 +0300
