=== debian/rules ===
--- 
+++ 
@@ -22,4 +22,4 @@
 	install -m 644 $(BUILT_DIR)/release/jars/*.jar $(CURDIR)/debian/libidm-console-framework-java/usr/share/java/
 
 %:
-	dh $@
+	dh $@ --with javahelper
