=== debian/watch ===
#git=https://github.com/dogtagpki/idm-console-framework
version=4
opts="compression=xz,repack,filenamemangle=s%(?:.*?)?v?(\d[\d.]*)\.tar\.gz%idm-console-framework-$1.tar.gz%" \
https://github.com/dogtagpki/idm-console-framework/releases/ (?:.*?/)?v?(\d[\d.]*)\.tar\.gz
